import request from '@/utils/request'

// 查询提现申请列表
export function listApply(data) {
  return request({
    url: '/tApply/list',
    method: 'post',
    data: data
  })
}

// 查询提现申请详细
export function getApply(id) {
  return request({
    url: '/tApply/' + id,
    method: 'get'
  })
}

// 新增提现申请
export function addApply(data) {
  return request({
    url: '/tApply',
    method: 'post',
    data: data
  })
}

// 修改提现申请
export function updateApply(data) {
  return request({
    url: '/tApply',
    method: 'put',
    data: data
  })
}

// 删除提现申请
export function delApply(id) {
  return request({
    url: '/tApply/' + id,
    method: 'delete'
  })
}

// 导出提现申请
export function exportApply(data) {
  return request({
    url: '/tApply/export',
    method: 'post',
    data: data
  })
}
